summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_collection.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/lib/ptxd_make_collection.sh')
-rw-r--r--scripts/lib/ptxd_make_collection.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/lib/ptxd_make_collection.sh b/scripts/lib/ptxd_make_collection.sh
new file mode 100644
index 000000000..4d4c23136
--- /dev/null
+++ b/scripts/lib/ptxd_make_collection.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# Copyright (C) 2018 by Michael Olbrich <m.olbrich@pengutronix.de>
+#
+# See CREDITS for details about who has contributed to this project.
+#
+# For further information about the PTXdist project and license conditions
+# see the README file.
+#
+
+ptxd_make_validate_collection() {
+ local file_dotconfig relative_file_dotconfig
+ ptxd_make_world_init || return
+
+ exec 2>&1 >/dev/null
+ for file_dotconfig in ${ptx_collections}; do
+ ptxd_normalize_config &&
+ ptxd_kconfig_setup_config run "${PTXDIST_TEMPDIR}/.collection-config" \
+ "${relative_file_dotconfig}" "${file_dotconfig}"
+ done
+}
+export -f ptxd_make_validate_collection